<?php
//about theme info
add_action( 'admin_menu', 'advance_blogging_gettingstarted' );
function advance_blogging_gettingstarted() {    	
	add_theme_page( esc_html__('Get Started', 'advance-blogging'), esc_html__('Get Started', 'advance-blogging'), 'edit_theme_options', 'advance_blogging_guide', 'advance_blogging_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function advance_blogging_admin_theme_style() {
   wp_enqueue_style('advance-blogging-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/getstart.css');
   wp_enqueue_script('tabs', esc_url(get_template_directory_uri()) . '/inc/dashboard/js/tab.js');
}
add_action('admin_enqueue_scripts', 'advance_blogging_admin_theme_style');

//guidline for about theme
function advance_blogging_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'advance-blogging' );
?>

<div class="wrapper-info">  
    <div class="tab-sec">
		<div class="tab">
			<div class="logo">
				<img role="img" src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/dashboard/images/logo.png" alt="" />
			</div>
			<button role="tab" class="tablinks home" onclick="advance_blogging_openCity(event, 'tc_index')"><?php esc_html_e( 'Free Theme Information', 'advance-blogging' ); ?></button>
		  	<button role="tab" class="tablinks" onclick="advance_blogging_openCity(event, 'tc_pro')"><?php esc_html_e( 'Premium Theme Information', 'advance-blogging' ); ?></button>
		  	<button role="tab" class="tablinks" onclick="advance_blogging_openCity(event, 'tc_create')"><?php esc_html_e( 'Theme Support', 'advance-blogging' ); ?></button>				
		</div>

		<div  id="tc_index" class="tabcontent">
			<h2><?php esc_html_e( 'Welcome to Advance Blogging Theme', 'advance-blogging' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
			<hr>
			<div class="info-link">
				<a href="<?php echo esc_url( ADVANCE_BLOGGING_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'advance-blogging' ); ?></a>
				<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'advance-blogging'); ?></a>
				<a class="get-pro" href="<?php echo esc_url( ADVANCE_BLOGGING_BUY_NOW ); ?>" target="_blank"><?php esc_html_e('Get Pro', 'advance-blogging'); ?></a>
			</div>
			<div class="col-tc-6">
				<img role="img" src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/dashboard/images/screenshot.png" alt="" />
			</div>
			<div class="col-tc-6">
				<P><?php esc_html_e( 'Advance Blogging is a clean and minimal multipurpose WordPress blog theme for writing variety of blogs like lifestyle blog, food blog, sports blog, technology, author, editor, blog, fashion blog, SEO blogs, Cooking & Recipes, Beauty and Fashion, trending technologies, podcast interviews, fan fiction, audio podcasts, travel journals, cultural blogs, content promoting, video blogging, technichal blogs, food hunting, travelling, Health and Fitness, Relationship & Parenting, Personal Finance, marketting blog, affiliate blogs, health blog, video blog, technical blog, travel blog, photography blog, portfolios, craft blog are just few of them. You can use this theme for building magazine website, news website landing page and for creating professional portfolio. Though it is essentially a writer’s theme, it can be used for newspaper websites. The theme is readily responsive and cross-browser compatible. It is a highly customizable theme to make changes to its header, footer, logo, background etc.You can also set featured images to enhance your article. You can translate this theme into different languages such as Arabic, German, Spanish, French, Italian, Russian, Turkish and Chinese.', 'advance-blogging' ); ?></P>
			</div>
    	</div>

		<div id="tc_pro" class="tabcontent">
			<h3><?php esc_html_e( 'Advance Blogging Theme Information', 'advance-blogging' ); ?></h3>
			<hr>
			<div class="pro-image">
				<img role="img" src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/dashboard/images/resize.png" alt="" />
			</div>
			<div class="info-link-pro">
				<p><a href="<?php echo esc_url( ADVANCE_BLOGGING_BUY_NOW ); ?>" target="_blank"> <?php esc_html_e( 'Buy Now', 'advance-blogging' ); ?></a></p>
				<p><a href="<?php echo esc_url( ADVANCE_BLOGGING_LIVE_DEMO ); ?>" target="_blank"> <?php esc_html_e( 'Live Demo', 'advance-blogging' ); ?></a></p>
				<p><a href="<?php echo esc_url( ADVANCE_BLOGGING_PRO_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Pro Documentation', 'advance-blogging' ); ?></a></p>
			</div>
			<div class="col-pro-5">
				<h4><?php esc_html_e( 'Advance Blogging Pro Theme', 'advance-blogging' ); ?></h4>
				<P><?php esc_html_e( 'Blog WordPress theme is an awesome theme made just for bloggers. Blogging is the new fever soaring in the internet world and everyone is trying their hands in it. As writing a blog is a fairly easy task, what is difficult for most of the people is getting the desired look for their blog. The blog WordPress theme presented by us is the answer for all the people finding a professional-looking, clean, stylish and visually appealing theme to instantly start writing blogs without worrying about the tons of responsibilities that come with a website.This versatile blog WordPress theme can be used for blogging, as a portfolio, for writing resumes, journals, biographies and as a landing page. As far as blogging is concerned, you can use it for writing any type of blog. It is a fully responsive, cross-browser compatible, translation ready, SEO-friendly and lightweight theme. This theme has limitless possibilities of customization with an advanced gallery to organize eye-catching pictures in various layouts. Social media icons will help you reach maximum people in minimum time. There are various sections and custom post types like testimonial section, newsletter subscription, latest blogs, gallery and others. Each section can be enabled/disabled according to your requirements. The blog WP theme offers premium membership which gives you access to customer support and regular theme updates.', 'advance-blogging' ); ?></P>		
			</div>
			<div class="col-pro-6">				
				<h4><?php esc_html_e( 'Theme Features', 'advance-blogging' ); ?></h4>
				<ul>
					<li><?php esc_html_e( 'Theme Options using Customizer API', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Responsive design', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Favicon, Logo, title and tagline customization', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Advanced Color options', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( '100+ Font Family Options', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Background Image Option', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Simple Menu Option', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Additional section for products', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Enable-Disable options on All sections', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Home Page setting for different sections', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Advance Slider with unlimited slides', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Partner Section', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Promotional Banner Section for Products', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Seperate Newsletter Section', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Text and call to action button for each slides', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Pagination option', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Custom CSS option', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Translations Ready', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Custom Backgrounds, Colors, Headers, Logo & Menu', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Customizable Home Page', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Full-Width Template', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Footer Widgets & Editor Style', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Banner & Post Type Plugin Functionality', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Woo Commerce Compatible', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Multiple Inner Page Templates', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Product Sliders', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Testimonial Slider', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Testimonial Posttype', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Testimonial Listing With Shortcode', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Contact page template', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Contact Widget', 'advance-blogging' ); ?></li>
					<li><?php esc_html_e( 'Advance Social Media Feature', 'advance-blogging' ); ?></li>
				</ul>				
			</div>
		</div>	

		<div id="tc_create" class="tabcontent">
			<h3><?php esc_html_e( 'Support', 'advance-blogging' ); ?></h3>
			<hr>
			<div class="tab-cont">
		  		<h4><?php esc_html_e( 'Need Support?', 'advance-blogging' ); ?></h4>				
				<div class="info-link-support">
					<P><?php esc_html_e( 'Our team is obliged to help you in every way possible whenever you face any type of difficulties and doubts.', 'advance-blogging' ); ?></P>
					<a href="<?php echo esc_url( ADVANCE_BLOGGING_SUPPORT ); ?>" target="_blank"> <?php esc_html_e( 'Support Forum', 'advance-blogging' ); ?></a>
				</div>
			</div>
			<div class="tab-cont">	
				<h4><?php esc_html_e('Reviews', 'advance-blogging'); ?></h4>				
				<div class="info-link-support">
					<P><?php esc_html_e( 'It is commendable to have such a theme inculcated with amazing features and robust functionalities. I feel grateful to recommend this theme to one and all.', 'advance-blogging' ); ?></P>
					<a href="<?php echo esc_url( ADVANCE_BLOGGING_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'advance-blogging'); ?></a>
				</div>
			</div>
		</div>
	</div>
</div>
<?php } ?>